AOZ Studio Beta - Bug #660

Palette causes syntax error in single-line If Then Else statement.
02/09/2021 05:06 PM - Brian Flanagan

Status: Resolved Start date: 02/09/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour

Target version:
Affected version: 1.0.0 (B10) u16

Description
Example:

#manifest: "aoz"

' This FAILS:
' If Manifest$<>"amiga" Then Palette 0,$00FF00 Else Palette 0, $OFO

' This works:
If Manifest$ <> "amiga"
Palette 0, $00FF00
Else
Palette 0, $OFO
End If

Pen 1 : Paper 0 : Cls O
Print "Done!" ' Should be green text on black background in either manifest.

History

#1 - 02/16/2021 12:39 PM - Brian Flanagan
Re-tested on 2/16/2021: Still fails.

#2 - 02/16/2021 12:52 PM - Brian Flanagan

- Priority changed from Low to Normal

#3 - 03/09/2021 10:53 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B3) to 1.0.0 (B4)

Re-tested 3/9/2021 1.0.0 (B4)
Still fails.

#4 - 09/22/2021 11:40 AM - Brian Flanagan
- Assignee set to Francois Lionet

- Affected version changed from 1.0.0 (B4) to 1.0.0 (B10) u16

This problem still occurs in both manifests.

#5 - 09/28/2021 05:00 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!

04/20/2024

1/1



http://www.tcpdf.org

